[workspace]
members = ["crates/*", "examples/*", "ci"]
resolver = "2"

[workspace.package]
version = "0.2.0"
edition = "2021"
license = "MIT"
authors = ["kjuulh <contact@kjuulh.io>"]
readme = "README.md"
repository = "https://git.front.kjuulh.io/kjuulh/dagger-components"

[workspace.dependencies]
cuddle-components = { path = "crates/cuddle-components" }
dagger-components = { path = "crates/dagger-components" }
dagger-cuddle-please = { path = "crates/dagger-cuddle-please" }
dagger-rust = { path = "crates/dagger-rust" }
ci = { path = "ci" }

#dagger-sdk = "0.3.2"
dagger-sdk = {git = "https://github.com/kjuulh/dagger.git", branch = "feat/with-send-sync"}
eyre = "0.6.12"
tokio = "1.36.0"
dotenv = "0.15.0"
async-trait = "0.1.77"
color-eyre = "*"
clap = {version = "4", features = ["derive"]}
futures = "0.3.30"
async-scoped = { version = "0.9.0", features = ["tokio", "use-tokio"] }
serde_json = { version = "1" }
serde_yaml = {version = "0.9"}
serde = {version = "1", features = ["derive"]}
